Bug 244126 - f7 ks install md1 for /boot md0 for /, Error: md1 already in mdList
Summary: f7 ks install md1 for /boot md0 for /, Error: md1 already in mdList
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 23:33 UTC by Dale Bewley
Modified: 2008-02-26 14:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 14:26:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart Configuration (9.12 KB, text/plain)
2007-06-13 23:33 UTC, Dale Bewley
no flags Details

Description Dale Bewley 2007-06-13 23:33:14 UTC
Description of problem:
Kickstart installation with following disk layout works the first time. If I
then re-install with the same kickstart, Anaconda complains that mdX (whereever
/boot lives) is already in mdList.

Swap the --device assignment of md0 and md1 between /boot and / then the install
works again. Reinstall again and it fails until you swap them back.

# create raid5 md0
raid pv.a0e0 --level=RAID5  --fstype="physical volume (LVM)" \
 --device=md0 --spares=1 raid.a0 raid.b0 raid.c0 raid.d0 raid.e0
# create raid1 md1
raid /boot --level=RAID1 --fstype=ext3 \
 --device=md1 --spares=3 raid.a1 raid.b1 raid.c1 raid.d1 raid.e1

Version-Release number of selected component (if applicable):
F7

How reproducible:
Every other install.

Steps to Reproduce:
1. Use above disk config in kickstart (full KS attached) to install.
2. Reboot (taking bug #242107 into account) successfully.
3. Use above kickstart to install yet again.
4. Get anaconda error about mdX already being in mdList during the 
   partition formatting step.

 
Actual results:
 Traceback (most recent call first):
   File "/usr/lib/anaconda/raid.py", line 203,
 in register_raid_device
     raise ValueError, "%s is already in the
 mdList!" % (mdname,)
   File "/usr/lib/anaconda/fsset.py", line
 2191, in setupDevice
     self.level, self.numDisks)
   File "/usr/lib/anaconda/fsset.py", line
 608, in clobberDevice
     device = entry.device.setupDevice(chroot)
   File "/usr/lib/anaconda/fsset.py", line
 1543, in formatEntry
     entry.fsystem.clobberDevice(entry, chroot)
   File "/usr/lib/anaconda/fsset.py", line
 1621, in makeFilesystems
     self.formatEntry(entry, chroot)
   File "/usr/lib/anaconda/packages.py", line
 153, in turnOnFilesystems
     anaconda.id.fsset.makeFilesystems
 (anaconda.rootPath)
   File "/usr/lib/anaconda/dispatch.py", line
 203, in moveStep
     rc = stepFunc(self.anaconda)
   File "/usr/lib/anaconda/dispatch.py", line
 126, in gotoNext
     self.moveStep()
   File "/usr/lib/anaconda/text.py", line 605,
 in run
     anaconda.dispatch.gotoNext()
   File "/usr/bin/anaconda", line 955, in
 <module>
     anaconda.intf.run(anaconda)
 ValueError: md1 is already in the mdList!

Expected results:
Normal re-installation.

Additional info:
To restate:
 Install / on --device=md0, /boot on --device=md1 -> works
 Re-Install / on --device=md0, /boot on --device=md1 -> fails
 Re-Install / on --device=md1, /boot on --device=md0 -> works

Comment 1 Dale Bewley 2007-06-13 23:33:14 UTC
Created attachment 156941 [details]
Kickstart Configuration

Comment 2 Chris Lumens 2007-08-10 17:49:04 UTC
Just a quick note on your kickstart file while I'm looking at the bug. 
kickstart now supports multiple %ksappend directives, so your following comment
no longer applies.  Perhaps you can reduce some complexity.

# Apparently KS will only use the first ksappend line and we want to
# call modular scripts depending on the host being setup. Plus the vars
# aren't expanded. So we'll serve a meta config from the web server which will
# serve up a custom shell script based on the dist ver and MAC.

Also, we support repo commands for pulling in packages from other repos at
install time, and a chkconfig command for enabling/disabling services.

Now to look at the bug itself.

Comment 3 Chris Lumens 2007-08-13 15:36:27 UTC
Are you able to reproduce this with F8 test 1?

Comment 4 Joel Andres Granados 2008-02-26 14:26:30 UTC
Should be fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.